PUT TicketMessage/{id}
Some tooltip text!
• 10 minutes to read
• 10 minutes to read
PUT /api/v1/TicketMessage/{id}
Saves a ticket message and performs any user notifications
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The TicketMessageEntity id to update Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| notify | bool | If true, then the notification will be sent along with the save |
PUT /api/v1/TicketMessage/{id}?notify=True
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entity
The ticket message to save
| Property Name | Type | Description |
|---|---|---|
| EjMessageId | Integer | The primary key (auto-incremented) |
| Ticket | Ticket | The connected ticket |
| CreatedAt | String | When the message was posted. |
| CreatedBy | Associate | The associate who created this ticket message |
| Author | String | A string representing the author of the message. Could be a user's name, or a persons email address. |
| Slevel | String | The securitylevel of the message. |
| Type | String | The type of the message (plaintext/html). |
| MessageId | String | The Message-Id header value from the email. Used for threading, i.e. connecting messages to existing tickets. |
| TimeSpent | Integer | The time spent (minutes) for this message. |
| Body | String | The textbody for the message. |
| HtmlBody | String | The html body for the message (if any). |
| EmailHeader | String | The email header is saved in this field as raw text |
| DebugInfo | String | The debug info for the message. |
| MailSorter | String | The name of the mail sorter used when the email was imported. Note: We must use name instead of id since the id's change every time one changes the mail sorter. :-0 |
| MessageCategory | String | Defines what kind of message this is. |
| Person | Person | If this is an incoming message, this will contain the person |
| SearchTitle | String | A copy of the title of the ticket, for search optimisation and simpler reporting. |
| MessageHeaders | Array | Contains the message headers, like To, Cc, Bcc information, or custom headers |
| Important | Boolean | If this message is important or not. |
| Language | String | The language this message is in, based on some kind of analysis |
| Sentiment | Integer | Sentiment index, 100 = completely happy; -100 = suicidally unhappy; 0 = no idea |
| SentimentConfidence | Integer | Confidence of sentiment index, 0 = no idea, 100 = completely sure |
| Badge | String | Badge to explicitly determine how a message was generated |
| AttachmentsInfo | Array | Message attachments information |
| ExtraFields | Object | Deprecated: Use {SuperOffice.CRM.Services.TicketMessageEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | Object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.TicketMessageEntity.ExtraFields} and |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
| 400 | Bad request. Entity to save is not in request body. |
Response body: TicketMessageEntity
| Property Name | Type | Description |
|---|---|---|
| EjMessageId | int32 | The primary key (auto-incremented) |
| Ticket | Ticket | The connected ticket |
| CreatedAt | date-time | When the message was posted. |
| CreatedBy | Associate | The associate who created this ticket message |
| Author | string | A string representing the author of the message. Could be a user's name, or a persons email address. |
| Slevel | string | The securitylevel of the message. |
| Type | string | The type of the message (plaintext/html). |
| MessageId | string | The Message-Id header value from the email. Used for threading, i.e. connecting messages to existing tickets. |
| TimeSpent | int32 | The time spent (minutes) for this message. |
| Body | string | The textbody for the message. |
| HtmlBody | string | The html body for the message (if any). |
| EmailHeader | string | The email header is saved in this field as raw text |
| DebugInfo | string | The debug info for the message. |
| MailSorter | string | The name of the mail sorter used when the email was imported. Note: We must use name instead of id since the id's change every time one changes the mail sorter. :-0 |
| MessageCategory | string | Defines what kind of message this is. |
| Person | Person | If this is an incoming message, this will contain the person Use MDO List name "person_new" to get list items. |
| SearchTitle | string | A copy of the title of the ticket, for search optimisation and simpler reporting. |
| MessageHeaders | array | Contains the message headers, like To, Cc, Bcc information, or custom headers |
| Important | bool | If this message is important or not. |
| Language | string | The language this message is in, based on some kind of analysis |
| Sentiment | int32 | Sentiment index, 100 = completely happy; -100 = suicidally unhappy; 0 = no idea |
| SentimentConfidence | int32 | Confidence of sentiment index, 0 = no idea, 100 = completely sure |
| Badge | string | Badge to explicitly determine how a message was generated |
| AttachmentsInfo | array | Message attachments information |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.TicketMessageEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.TicketMessageEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
PUT /api/v1/TicketMessage/{id}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"EjMessageId": 925,
"Ticket": null,
"CreatedAt": "2021-04-24T14:34:02.6746686+02:00",
"CreatedBy": null,
"Author": "praesentium",
"Slevel": "External",
"Type": "Html",
"MessageId": "quia",
"TimeSpent": 454,
"Body": "officia",
"HtmlBody": "iure",
"EmailHeader": "bridgette@nitzschetillman.info",
"DebugInfo": "autem",
"MailSorter": "amet",
"MessageCategory": "Bounce",
"Person": null,
"SearchTitle": "et",
"MessageHeaders": [
{
"Id": 651,
"Name": "Hettinger, Goldner and Cole",
"Value": "nulla",
"StdItem": "CustomerReadFAQ",
"StdItemCol": "Name"
},
{
"Id": 651,
"Name": "Hettinger, Goldner and Cole",
"Value": "nulla",
"StdItem": "CustomerReadFAQ",
"StdItemCol": "Name"
}
],
"Important": true,
"Language": "temporibus",
"Sentiment": 646,
"SentimentConfidence": 227,
"Badge": "Comment",
"AttachmentsInfo": [
{
"AttachmentId": 826,
"Name": "Corkery-Stark",
"ContentType": "minima",
"AttSize": 327,
"InlineImage": true,
"ContentId": "dolorum",
"AuthKey": "quisquam",
"IsSafeFileExtension": true
}
],
"ExtraFields": {
"ExtraFields1": "et",
"ExtraFields2": "fugiat"
},
"CustomFields": {
"CustomFields1": "saepe",
"CustomFields2": "adipisci"
}
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"EjMessageId": 599,
"Ticket": null,
"CreatedAt": "2021-03-25T14:34:02.6746686+01:00",
"CreatedBy": null,
"Author": "fugiat",
"Slevel": "External",
"Type": "Html",
"MessageId": "autem",
"TimeSpent": 550,
"Body": "Thank you for contacting support. We will review your request.",
"HtmlBody": "unde",
"EmailHeader": "ethyl@anderson.info",
"DebugInfo": "ut",
"MailSorter": "occaecati",
"MessageCategory": "Bounce",
"Person": null,
"SearchTitle": "voluptatibus",
"MessageHeaders": [
{
"Id": 935,
"Name": "Glover Inc and Sons",
"Value": "sed",
"StdItem": "CustomerReadFAQ",
"StdItemCol": "Name",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 754
}
}
}
],
"Important": false,
"Language": "reprehenderit",
"Sentiment": 235,
"SentimentConfidence": 429,
"Badge": "Comment",
"AttachmentsInfo": [
{
"AttachmentId": 554,
"Name": "Okuneva-Schaefer",
"ContentType": "velit",
"AttSize": 125,
"InlineImage": false,
"ContentId": "eligendi",
"AuthKey": "architecto",
"IsSafeFileExtension": true,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 831
}
}
}
],
"ExtraFields": {
"ExtraFields1": "rerum",
"ExtraFields2": "qui"
},
"CustomFields": {
"CustomFields1": "ducimus",
"CustomFields2": "et"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 686
}
}
}